MediaWiki:Gadget-site-styles.css:修订间差异

imported>=海豚=
无编辑摘要
imported>=海豚=
[InPageEdit] 没有编辑摘要
第1行: 第1行:
.tab .TabLabelText {
.tab .TabLabelText {
    border-top: 3px solid transparent;
     padding: 1px;
     padding: 1px;
     background: #fff;
     background: #fff;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
     cursor: pointer;
     cursor: pointer;
     flex: none;
     flex: none;
第22行: 第19行:


.tab .TabLabelText.selected {
.tab .TabLabelText.selected {
    border-top: 3px solid green;
     padding: 1px;
     padding: 1px;
     background: white;
     background: white;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
}


第43行: 第37行:
.tab .TabContentText.selected {
.tab .TabContentText.selected {
     display: block;
     display: block;
}
.tab .tabLabelTop .TabLabelText {
    border-top: 3px solid transparent;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
}
.tab .tabLabelTop .TabLabelText.selected {
    border-top: 3px solid green;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
.tab .tabLabelTop.reverse .TabLabelText {
    border-bottom: 3px solid transparent;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    border-top: 1px solid transparent;
}
.tab .tabLabelTop.reverse .TabLabelText.selected {
    border-bottom: 3px solid green;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
    border-top: 1px solid transparent;
}
.tab .tabLabelBottom .TabLabelText {
    border-bottom: 3px solid transparent;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
}
.tab .tabLabelBottom .TabLabelText.selected {
    border-bottom: 3px solid green;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
.tab .tabLabelBottom.reverse .TabLabelText {
    border-top: 3px solid transparent;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    border-bottom: 1px solid transparent;
}
.tab .tabLabelBottom.reverse .TabLabelText.selected {
    border-top: 3px solid green;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
    border-bottom: 1px solid transparent;
}
.tab .tabLabelLeft .TabLabelText {
    border-left: 3px solid transparent;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
}
.tab .tabLabelLeft .TabLabelText.selected {
    border-left: 3px solid green;
    border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
}
.tab .tabLabelLeft.reverse .TabLabelText {
    border-right: 3px solid transparent;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    border-left: 1px solid transparent;
}
.tab .tabLabelLeft.reverse .TabLabelText.selected {
    border-right: 3px solid green;
    border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
    border-left: 1px solid transparent;
}
.tab .tabLabelRight .TabLabelText {
    border-right: 3px solid transparent;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
}
.tab .tabLabelRight .TabLabelText.selected {
    border-right: 3px solid green;
    border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
}
.tab .tabLabelRight.reverse .TabLabelText {
    border-left: 3px solid transparent;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    border-right: 1px solid transparent;
}
.tab .tabLabelRight.reverse .TabLabelText.selected {
    border-left: 3px solid green;
    border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
    border-right: 1px solid transparent;
}
.tab .Tabs {
    display: flex;
    flex-wrap: wrap;
    width: max-content;
}
.tab .Tabs .TabDivider {
    width: 100%;
    order: 2;
}
.tab .Tabs.reverse .TabDivider {
    height: 2px;
}
.tab .Tabs.tabLabelTop .TabLabel,
.tab .Tabs.tabLabelTop .TabContent,
.tab .Tabs.tabLabelBottom .TabLabel,
.tab .Tabs.tabLabelBottom .TabContent {
    width: 100%;
}
.tab .Tabs.tabLabelTop .TabLabel,
.tab .Tabs.tabLabelBottom .TabContent,
.tab .Tabs.tabLabelLeft .TabLabel,
.tab .Tabs.tabLabelRight .TabContent {
    order: 1;
}
.tab .Tabs.tabLabelTop .TabContent,
.tab .Tabs.tabLabelBottom .TabLabel,
.tab .Tabs.tabLabelLeft .TabContent,
.tab .Tabs.tabLabelRight .TabLabel {
    order: 3;
}
.tab .Tabs.tabLabelLeft,
.tab .Tabs.tabLabelRight {
    flex-wrap: nowrap;
    width: auto;
}
.tab .Tabs.tabLabelLeft:not(.reverse) .TabDivider,
.tab .Tabs.tabLabelRight:not(.reverse) .TabDivider {
    display: none;
}
.tab .Tabs.tabLabelLeft.reverse .TabDivider,
.tab .Tabs.tabLabelRight.reverse .TabDivider {
    display: block;
    height: 100%;
    width: 1px;
}
.tab .Tabs.tabLabelLeft .TabLabel,
.tab .Tabs.tabLabelRight .TabLabel {
    flex-direction: column;
}
}


第79行: 第236行:
}
}


.infotemplatebox > table td > .Tabs .TabLabel,
.infotemplatebox>table td>.Tabs .TabLabel,
.infotemplatebox > table td > .Tabs .TabContent {
.infotemplatebox>table td>.Tabs .TabContent {
     margin: 0 -1px;
     margin: 0 -1px;
}
}